# Uses of Class
org.apache.lucene.search.DocIdSet

Packages that use DocIdSet
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.

## Uses of DocIdSet in org.apache.lucene.index

Subclasses of DocIdSet in org.apache.lucene.index
Modifier and Type
Class
Description
`final class`
`DocsWithFieldSet`
Accumulator for documents that have a value for a field.

## Uses of DocIdSet in org.apache.lucene.search

Fields in org.apache.lucene.search declared as DocIdSet
Modifier and Type
Field
Description
`static final DocIdSet`
DocIdSet.`EMPTY`
An empty `DocIdSet` instance
Methods in org.apache.lucene.search that return DocIdSet
Modifier and Type
Method
Description
`static DocIdSet`
DocIdSet.`all(int maxDoc)`
A `DocIdSet` that matches all doc ids up to a specified doc (exclusive).
Constructors in org.apache.lucene.search with parameters of type DocIdSet
Modifier
Constructor
Description
``
`CacheAndCount(DocIdSet cache, int count)`

## Uses of DocIdSet in org.apache.lucene.util

Subclasses of DocIdSet in org.apache.lucene.util
Modifier and Type
Class
Description
`class`
`BitDocIdSet`
Implementation of the `DocIdSet` interface on top of a `BitSet`.
`final class`
`NotDocIdSet`
This `DocIdSet` encodes the negation of another `DocIdSet`.
`class`
`RoaringDocIdSet`
`DocIdSet` implementation inspired from http://roaringbitmap.org/
Methods in org.apache.lucene.util that return DocIdSet
Modifier and Type
Method
Description
`DocIdSet`
DocIdSetBuilder.`build()`
Build a `DocIdSet` from the accumulated doc IDs.
Constructors in org.apache.lucene.util with parameters of type DocIdSet
Modifier
Constructor
Description
``
`NotDocIdSet(int maxDoc, DocIdSet in)`
Sole constructor.